# =========================================================================== #
# Gemspec for Project Esystem.
# =========================================================================== #
require 'esystem/version/version.rb'

Gem::Specification.new { |s|

  s.name    = 'esystem'
  s.version = Esystem::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

This library normally just provides a single method
called esystem().

This will output given text, then run system().
It is supposed to work either with the Colours
module or by doing: alias e puts prior to use it.
Alternatively you could also use: Esystem.esystem('ls')

  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  s.extra_rdoc_files = %w()

  s.authors   = ['Robert A. Heiler']
  s.email     = 'shevegen@gmail.com'
  s.files     = Dir['**/*']
  s.license   = 'GPL-2.0'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.homepage    = 'http://rubygems.org/gems/esystem'

}